Bug 894075 - sss_* tools with use_fully_qualified_names should require fqdn
Summary: sss_* tools with use_fully_qualified_names should require fqdn
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: sssd
Version: 7.0
Hardware: Unspecified
OS: Unspecified
medium
unspecified
Target Milestone: rc
: ---
Assignee: Jakub Hrozek
QA Contact: Kaushik Banerjee
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2013-01-10 16:14 UTC by Jakub Hrozek
Modified: 2014-06-18 04:00 UTC (History)
4 users (show)

Fixed In Version: sssd-1.10.0-1.el7.alpha1
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2014-06-13 09:58:45 UTC


Attachments (Terms of Use)

Description Jakub Hrozek 2013-01-10 16:14:09 UTC
This bug is created as a clone of upstream ticket:
https://fedorahosted.org/sssd/ticket/1746

If use_fully_qualified_names is true, sss tools(like sss_useradd) should proceed only if fqdn was given or print an error message if not.

Comment 1 Jakub Hrozek 2013-01-10 16:16:11 UTC
To reproduce:

configure use_fully_qualified_names=true in sssd.conf, restart sssd.

Run the tools with a raw, non-fqdn username, such as "sss_useradd someuser".

Expected results:
should not work, the name is not fully qualified

Actual results:
Works

Comment 2 Jakub Hrozek 2013-03-26 18:11:30 UTC
Fixed upstream.

Comment 3 Jakub Hrozek 2013-10-04 13:23:53 UTC
Temporarily moving bugs to MODIFIED to work around errata tool bug

Comment 5 Amith 2013-12-18 10:40:47 UTC
Verified the bug on SSSD Version: sssd-1.11.2-10.el7.x86_64

Steps followed during verification:
1. Setup sssd.conf domain with use_fully_qualified_names = true
2. Add a user without fqdn, using sss_useradd command --

[root@rhel-7 sssd]# sss_userdel someuser
Name 'someuser' does not seem to be FQDN ('use_fully_qualified_names = TRUE' is set)
Invalid domain specified in FQDN

3. As expected, an error message is displayed. User gets added only when fqdn is used with user name say, someuser@LOCAL.

[root@rhel-7 sssd]# sss_useradd someuser@LOCAL
[root@rhel-7 sssd]# 
[root@rhel-7 sssd]# getent passwd -s sss someuser@LOCAL
someuser@LOCAL:*:1000:1000:someuser:/home/someuser:/bin/bash

Comment 6 Ludek Smid 2014-06-13 09:58:45 UTC
This request was resolved in Red Hat Enterprise Linux 7.0.

Contact your manager or support representative in case you have further questions about the request.


Note You need to log in before you can comment on or make changes to this bug.